package com.yinet.system.mapper;

import com.yinet.system.domain.TouchScreenGuidance;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单表 数据层
 *
 * @author ruoyi
 */
public interface TouchScreenGuidanceMapper {
    public List<TouchScreenGuidance> selectGuidanceList();

    public List<TouchScreenGuidance> selectTouchScreenGuidanceByGuidance(TouchScreenGuidance touchScreenGuidance);
//wx
    public TouchScreenGuidance selectGuidanceById(String id);



    public int updateGuidance(@Param("touchScreenGuidance") TouchScreenGuidance guidance);

    public int insertGuidance(@Param("touchScreenGuidance") TouchScreenGuidance guidance);

    public int selectCountGuidanceByParentId(@Param("parentId") String parentId);


    public int selectCountGuidanceByParentId1(@Param("parentId") String parentId ,@Param("zName")String zName);

    public int deleteGuidanceById(@Param("guidanceId") String guidanceId);
//wx
    public List<TouchScreenGuidance> selectParentGuidanceList();
//lz
    public List<TouchScreenGuidance> selectParentGuidance(@Param("zName") String zName );

    public List<TouchScreenGuidance> selectGuidanceByName(@Param("guidanceName") String Name);

    public List<TouchScreenGuidance> selectGuidanceByParentId(@Param("parentId") String parentId );
/**1111*/
public List<TouchScreenGuidance> selectGuidanceByParentId11(@Param("parentId") String parentId );
//正定
public List<TouchScreenGuidance> selectGuidanceByzName(@Param("zName") String zName,@Param("parentId") String parentId);

    public List<TouchScreenGuidance> selectGuidanceNotParentId(@Param("parentId") String parentId);


}
